This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 860198 (CVE-2012-4447)

Summary: CVE-2012-4447 libtiff: Heap-buffer overflow when processing a TIFF image with PixarLog Compression
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jrusnack, nchavan, tgl
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120922,reported=20120925,source=internet,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/libtiff=affected,rhel-6/libtiff=affected,fedora-all/libtiff=affected,fedora-all/mingw-libtiff=affected,cwe=CWE-122
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-21 03:59:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 880907, 885308, 885309, 885310, 885311, 889443    
Bug Blocks: 859810    
Attachments:
Description Flags
Upstream patch none

Description Huzaifa S. Sidhpurwala 2012-09-25 04:58:59 EDT
A heap-based buffer overflow was found in the way libtiff, library for manipulating TIFF (Tagged Image File Format) image format files, processed certain TIFF images using PixarLog Compression format. An attacker could create a specially-crafted TIFF image that, when opened, could cause an application using libtiff to crash or, possibly, execute arbitrary code with the privileges of the user running the application.
Comment 2 Huzaifa S. Sidhpurwala 2012-09-25 05:01:45 EDT
This issue was partly fixed in the libtiff-4.0.2 release via the following commit:

revision 1.37
date: 2012-05-24 23:21:45 +0000;  author: fwarmerdam;  state: Exp;  lines: +2 -2;  commitid: 5xHvb7ZoNW8P226w;
Allocate working buffer one word larger since we "forward accumulate" and overwrite the end by one word in at least some cases.


and later seems to be completely resolved in libtiff-4.0.3 via the following commit:

revision 1.38
date: 2012-06-21 01:01:53 +0000;  author: fwarmerdam;  state: Exp;  lines: +2 -2;  commitid: i91tq45sntOmJv9w;
make tbuf large enough for one stride past the end
Comment 3 Huzaifa S. Sidhpurwala 2012-09-25 05:05:09 EDT
This issue affects the version of libtiff as shipped with Red Hat Enterprise Linux 5 and 6.

This issue affects the version of libtiff as shipped with Fedora 16 and Fedora 17.
Comment 4 Huzaifa S. Sidhpurwala 2012-09-25 05:07:03 EDT
Created attachment 616925 [details]
Upstream patch
Comment 5 Huzaifa S. Sidhpurwala 2012-09-26 00:13:11 EDT
This issue has been assigned CVE-2012-4447 as per:

http://seclists.org/oss-sec/2012/q3/563
Comment 8 Huzaifa S. Sidhpurwala 2012-11-28 01:11:44 EST
Created libtiff tracking bugs for this issue

Affects: fedora-all [bug 880907]
Comment 11 errata-xmlrpc 2012-12-18 16:10:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1590 https://rhn.redhat.com/errata/RHSA-2012-1590.html
Comment 12 Huzaifa S. Sidhpurwala 2012-12-21 03:55:55 EST
Created mingw-libtiff tracking bugs for this issue

Affects: fedora-all [bug 889443]
Comment 14 Fedora Update System 2012-12-30 22:23:59 EST
libtiff-3.9.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-12-30 22:27:41 EST
libtiff-3.9.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-01-11 19:27:30 EST
libtiff-4.0.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.